Ticket #12016: 12016-base.patch

File 12016-base.patch, 1.2 KB (added by jdemeyer, 10 years ago)
  • bzip2-1.0.5-install

    # HG changeset patch
    # User Jeroen Demeyer <jdemeyer@cage.ugent.be>
    # Date 1322649260 -3600
    # Node ID 4832f172c1ab9e9492fd9ee58571a4494dbbf2bc
    # Parent  45e0ec26414aa4ff6c72663c466a8b0bbd4279cb
    Use $MAKE instead of make to build bzip2
    
    diff -r 45e0ec26414a -r 4832f172c1ab bzip2-1.0.5-install
    a b  
    3636build()
    3737{
    3838    cd $BUILD
    39     echo "Decompressing bzip2"
    40     gunzip -c ../base/$TARGET.tar.gz | tar xvfm -
     39    echo "Unpacking bzip2"
     40    gzip -cd ../base/$TARGET.tar.gz | tar xf -
    4141    cd bzip2-$VERSION
    42     make CC="$CC" CFLAGS="$CFLAGS $SHAREDFLAGS"
     42
     43    echo "Building bzip2"
     44    ${MAKE:-make} CC="$CC" CFLAGS="$CFLAGS $SHAREDFLAGS"
    4345    if [ $? -ne 0 ]; then
    44        echo "Error building bzip2"
     46       echo >&2 "Error building bzip2"
    4547       exit 1
    4648    fi
    47     make install PREFIX="$SAGE_LOCAL" CC="$CC" CFLAGS="$CFLAGS $SHAREDFLAGS"
     49
     50    echo "Installing bzip2"
     51    ${MAKE:-make} install PREFIX="$SAGE_LOCAL" CC="$CC" CFLAGS="$CFLAGS $SHAREDFLAGS"
    4852    if [ $? -ne 0 ]; then
    49        echo "Error installing bzip2"
     53       echo >&2 "Error installing bzip2"
    5054       exit 1
    5155    fi
    5256